Subject: Re: [PATCH 1/2] Add proper 'stage' command

From: Matthieu Moy <[email-masked]>
Date: Thu, 29 Aug 2013 20:38:41 +0200

Felipe Contreras <[email-masked]> writes:

> +COMMANDS
> +--------
> +
> +With no arguments, it's a synonym for linkgit:git-add[1].

This would not be very useful since "git add" errors out when called
without arguments ;-).

The accurate description of your code would be closer to "When the first
argument is not a subcommand, it's a synonym for linkgit:git-add[1].".
I'm not sure I like it, as it creates ambiguities (e.g. need to spell
"git stage -- diff" to add a file called "diff". Not a strong objection
though, as we already have refs Vs filename ambiguities in many places.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/